#ifndef OIRAN_LINDA_DISPLAY_LIST_HPP
#define OIRAN_LINDA_DISPLAY_LIST_HPP

#include <GL/gl.h>
#include <oiran/noncopyable.hpp>

namespace oiran { namespace linda {


	// enhanced OpenGL display list.
	class display_list_t
	{
	public:
		display_list_t();
		~display_list_t();

		void begin();
		void end();
		void call();

	private:
		OIRAN_NONCOPYABLE(display_list_t);

	private:
		GLuint M_id;
	};


}} // namespace oiran::linda.

#endif // OIRAN_LINDA_DISPLAY_LIST_HPP
