#include "defs.hpp"
#include "scene.hpp"


oiran::linda::scene_t*
scene_manager_t::create(int id)
{
	switch(id)
	{
	case scene_title:
		return new scene_title_t(this);

	case scene_game:
		return new scene_game_t;

	case scene_ranking:
		return new scene_ranking_t(this);

	default:
		if(scene_replay <= id && id < scene_replay + ranking_size)
			return new scene_replay_t(id - scene_replay);
	}
	return 0;
}
