#ifndef TTRS_REPLAY_HPP
#define TTRS_REPLAY_HPP

#include <fstream>
#include <oiran/linda/button_input.hpp>
#include <oiran/linda/graphics.hpp>
#include "ttrs.hpp"


class ttrs_replay_t
{
public:
	ttrs_replay_t();

	void init(const char* file_name);
	void update();
	void draw(oiran::linda::graphics_t& g);

	bool can_replay() const { return M_replay_flag; }
	bool is_end() const { return M_replay.is_end(); }

private:
	oiran::linda::button_replay_t M_replay;
	ttrs_t M_ttrs;
	std::ifstream M_in;
	bool M_replay_flag;
};


#endif // TTRS_REPLAY_HPP
