#ifndef OIRAN_MATH_HPP
#define OIRAN_MATH_HPP

namespace oiran {


	const double pi = 3.14159265358979323846264338327950288;


	inline double to_radian(double degree)
	{
		return degree * pi / 180;
	}


	inline double to_degree(double radian)
	{
		return radian * 180 / pi;
	}


} // namespace oiran.

#endif // OIRAN_MATH_HPP
