#ifndef RESOURCE_HPP
#define RESOURCE_HPP

#include <oiran/singleton.hpp>
#include <oiran/linda/button_input.hpp>
#include <oiran/linda/simple_font.hpp>
#include "ranking.hpp"


struct resource_t : public oiran::singleton_t<resource_t>
{
	oiran::linda::joystick_t stick;
	oiran::linda::simple_font_t font;
	ranking_t ranking;
};


#endif // RESOURCE_HPP
